## org.apache.poi.util
Class POILogFactory

    java.lang.Object
      org.apache.poi.util.POILogFactory

public class POILogFactory
extends java.lang.Object

Provides logging without clients having to mess with configuration/initialization.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Marc Johnson (mjohnson at apache dot org), Nicola Ken Barozzi (nicolaken at apache.org)

Method Summary
`static POILogger` `getLogger(java.lang.Class theclass)` Get a logger, based on a class name
`static POILogger` `getLogger(java.lang.String cat)` Get a logger, based on a String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static POILogger getLogger(java.lang.Class theclass)

  Get a logger, based on a class name

  Parameters:
    `theclass` - the class whose name defines the log
  Returns:
    a POILogger for the specified class

### getLogger

    public static POILogger getLogger(java.lang.String cat)

  Get a logger, based on a String

  Parameters:
    `cat` - the String that defines the log
  Returns:
    a POILogger for the specified class

Copyright © 2003 Apache Software Foundation.